Class UmlBaseState

Declaration :

- C++ : class UmlBaseState : public UmlItem
- Java : abstract class UmlBaseState extends UmlItem

Directly inherited by : UmlState

Artifact : UmlBaseState

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlState, exceptions : RuntimeException
- C++ : public: static UmlState * create(UmlItem * parent, const char * s)
- Java : public static UmlState create(UmlItem parent, String s) throws RuntimeException

returns a new state named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseState

Declaration :

- Uml : # UmlBaseState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseState(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation entryBehavior

Declaration :

- Uml : + entryBehavior() : string
- C++ : public: const QCString & entryBehavior()
- Java : public String entryBehavior()

return the entry behavior in OCL

Operation set_EntryBehavior

Declaration :

- Uml : + set_EntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_EntryBehavior(const char * s)
- Java : public void set_EntryBehavior(String s) throws RuntimeException

set the entry behavior in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation exitBehavior

Declaration :

- Uml : + exitBehavior() : string
- C++ : public: const QCString & exitBehavior()
- Java : public String exitBehavior()

return the exit behavior in OCL

Operation set_ExitBehavior

Declaration :

- Uml : + set_ExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_ExitBehavior(const char * s)
- Java : public void set_ExitBehavior(String s) throws RuntimeException

set the exit behavior in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation doActivity

Declaration :

- Uml : + doActivity() : string
- C++ : public: const QCString & doActivity()
- Java : public String doActivity()

return the activity in OCL

Operation set_DoActivity

Declaration :

- Uml : + set_DoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_DoActivity(const char * s)
- Java : public void set_DoActivity(String s) throws RuntimeException

set the activity in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppEntryBehavior

Declaration :

- Uml : + cppEntryBehavior() : string
- C++ : public: const QCString & cppEntryBehavior()
- Java : public String cppEntryBehavior()

return the entry behavior in C++

Operation set_CppEntryBehavior

Declaration :

- Uml : + set_CppEntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppEntryBehavior(const char * s)
- Java : public void set_CppEntryBehavior(String s) throws RuntimeException

set the entry behavior in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppExitBehavior

Declaration :

- Uml : + cppExitBehavior() : string
- C++ : public: const QCString & cppExitBehavior()
- Java : public String cppExitBehavior()

return the exit behavior in C++

Operation set_CppExitBehavior

Declaration :

- Uml : + set_CppExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppExitBehavior(const char * s)
- Java : public void set_CppExitBehavior(String s) throws RuntimeException

set the exit behavior in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppDoActivity

Declaration :

- Uml : + cppDoActivity() : string
- C++ : public: const QCString & cppDoActivity()
- Java : public String cppDoActivity()

return the activity in C++

Operation set_CppDoActivity

Declaration :

- Uml : + set_CppDoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppDoActivity(const char * s)
- Java : public void set_CppDoActivity(String s) throws RuntimeException

set the activity in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaEntryBehavior

Declaration :

- Uml : + javaEntryBehavior() : string
- C++ : public: const QCString & javaEntryBehavior()
- Java : public String javaEntryBehavior()

return the entry behavior in Java

Operation set_JavaEntryBehavior

Declaration :

- Uml : + set_JavaEntryBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaEntryBehavior(const char * s)
- Java : public void set_JavaEntryBehavior(String s) throws RuntimeException

set the entry behavior in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaExitBehavior

Declaration :

- Uml : + javaExitBehavior() : string
- C++ : public: const QCString & javaExitBehavior()
- Java : public String javaExitBehavior()

return the exit behavior in Java

Operation set_JavaExitBehavior

Declaration :

- Uml : + set_JavaExitBehavior(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaExitBehavior(const char * s)
- Java : public void set_JavaExitBehavior(String s) throws RuntimeException

set the exit behavior in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaDoActivity

Declaration :

- Uml : + javaDoActivity() : string
- C++ : public: const QCString & javaDoActivity()
- Java : public String javaDoActivity()

return the activity in Java

Operation set_JavaDoActivity

Declaration :

- Uml : + set_JavaDoActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaDoActivity(const char * s)
- Java : public void set_JavaDoActivity(String s) throws RuntimeException

set the activity in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation associatedDiagram

Declaration :

- Uml : + associatedDiagram() : UmlStateDiagram
- C++ : public: UmlStateDiagram * associatedDiagram()
- Java : public UmlStateDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlStateDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlStateDiagram * d)
- Java : public void set_AssociatedDiagram(UmlStateDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Relation _uml (<directional aggregation by value>)

Declaration :

- Uml : - _uml : StateBehavior
- C++ : private: StateBehavior _uml
- Java : private StateBehavior _uml

Relation _cpp (<directional aggregation by value>)

Declaration :

- Uml : - _cpp : StateBehavior
- C++ : private: StateBehavior _cpp
- Java : private StateBehavior _cpp

Relation _java (<directional aggregation by value>)

Declaration :

- Uml : - _java : StateBehavior
- C++ : private: StateBehavior _java
- Java : private StateBehavior _java

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlStateDiagram
- C++ : private: UmlStateDiagram * _assoc_diagram
- Java : private UmlStateDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppDoActivity , cppEntryBehavior , cppExitBehavior , create , defined_ , deleteIt , description , doActivity , entryBehavior , exitBehavior , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaDoActivity , javaEntryBehavior , javaExitBehavior , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppDoActivity , set_CppEntryBehavior , set_CppExitBehavior , set_Description , set_DoActivity , set_EntryBehavior , set_ExitBehavior , set_isMarked , set_JavaDoActivity , set_JavaEntryBehavior , set_JavaExitBehavior , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload